From 9fe72dd0ae7516931a6c85ac6a8e83e1482ae400 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Aug 15 2026 17:11:01 +0000
Subject: [PATCH 6/12] libre/iceweasel: 152.0-1, sync with changes from upstreams


Some offending files were removed (such as search engine extensions),
some were added, so this time there are more extensive patch updates.

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 6bfb44b..172abee 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -72,7 +72,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=151.0.3
+pkgver=152.0
 pkgrel=1
 _brandingver=149.0
 _brandingrel=1
@@ -168,7 +168,6 @@ source=(
   $pkgname.desktop
   org.mozilla.$pkgname.metainfo.xml
   0001-Install-under-remoting-name.patch
-  0002-Patch-glsl-optimizer-to-build-with-glibc-2.43.patch
 )
 source=( ${source[*]/${pkgname}-symbolic.svg/} )  # branding over-ride
 source=( ${source[*]/org.mozilla./nu.parabola.} ) # branding over-ride
@@ -194,26 +193,24 @@ validpgpkeys+=(
   BFA8008A8265677063B11BF47171986E4B745536 # Andreas Grapentin (branding source-ball)
   3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40 # bill-auger        (libre source-ball)
 )
-sha256sums=('7820284ed489057a3750715ccaa22d87e1965fd54f6525d3565f1e70743bfe66'
+sha256sums=('5e5f9acb550d065a43934e0fcd11ed3ec22f7266fc9ad63df757406b432a5127'
             'SKIP'
                                                                                 # $pkgname-symbolic.svg
             '73c06fe38a7663d7dc395e3d037b4375ff102917509ad6290a00d40bbac99f62'  # $pkgname.desktop
             'a6e4ab312203ae1df50537f4e6631417b84df46bac4cce2d51145751a405cd8f'  # nu.parabola.$pkgname.metainfo.xml
-            'f0118f1b092e471fe3c81c1e8b49a76a37f72f3263d00a18e939dcde80c90dac'
-            'c7d6572fe1ac76f6adbfb10102f284fd55690396ac0a275a5cfea9a2efa22b58')
+            'f0118f1b092e471fe3c81c1e8b49a76a37f72f3263d00a18e939dcde80c90dac')
 sha256sums+=('86bd54db6026ff65bd24ac4f05d0679a645ff447e2f81b0ee44037c0c4285e06') # vendor.js.in
 sha256sums_armv7h=('883ca2fa723a7572269d18559d5b82412782ad63e5dd3820eeb0540e3fe34314')
 sha256sums_i686=('65395a49fd3d998f7e06a430bdd656ad453254dafcc34e21ec7931902d8c1809'  # avoid-libxul-OOM-python-check.patch
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('48000217630b1eeef424f4a82c3839d49d531728959a4356739cee42f14580521b8b3313b8fd0783b14fb64e2ce020912460982be77f8dca9311ab9fd3194c3d'
+b2sums=('526bb2b2b83bc20561de86f200e3e4922d7ffc5e25ed6a342350399c390bfddf39db5421d843d3803ebbc7c4abd981ae55aa67c82e9158beb6510c091a111319'
         'SKIP'
                                                                                                                                              # $pkgname-symbolic.svg (deleted)
         '79fd40b2e19a6f4f5fef4b12d19d12b15122feb3f813cc6ca892ba0d39167fb1efc6ce2da5c87b8ffbcc6dcc27488f5262fd21a308d48c0bfee189add3917029'   # $pkgname.desktop
         '80cf1f7644f9b509fe374cd51fea288ffcca73f735c7d4c8e2a22be7543aa7e0f3c84a619315e5fb4b82967f1cc7b2b4282658af859be1a08d2f29c39f2815d7'   # nu.parabola.$pkgname.metainfo.xml
-        'c1cbb2de5011ed88e77c22c6abbc944ac2bd0f6c95bddb75f668f40566e6cad8d0090e65a5ff498055612a359f82484b41202f74e1312236e17d099e71bbc952'
-        '0420be311ae633c05d3a110b9fe5a8da288530d918ec9435c1a54d8d13bbbd06f5ee90977a9ee71d39e68bc26deb20264e712816e1dc5d7374b64a920e51b353')
+        'c1cbb2de5011ed88e77c22c6abbc944ac2bd0f6c95bddb75f668f40566e6cad8d0090e65a5ff498055612a359f82484b41202f74e1312236e17d099e71bbc952')
 b2sums+=('f3f344196d03499f3f0392d5dfc5310e131d8c85772edd340faf1df3f04ebf2931eb1dda1b7fe6870d61d498618f4d8ae9f1dd446acbe83e0ce324e04b38f3f9') # vendor.js.in
 b2sums_armv7h=('8a894b01e405b628877483e40e9b018647977cb053b6af02afc901ed24d6e1f767f3db8c321070e33aea4a05ba16f1eb47ae600e5299b5f9caad03d20ba38cf5')
 b2sums_i686=('572bb35d7aee0ac847a864b4309f73390435f16b750b8fa3c78b986181d57cdad434bca006d7438c903b2fdc08385292d08fee1d68c87240af72688d60cb8657'  # avoid-libxul-OOM-python-check.patch
@@ -264,17 +261,17 @@ mksource+=( https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-
             process-json-files.py )
 mksha256sums+=( 'a73e8dd2c8278a8022567193fa56a1935d3cdf15981bac9a7ca22563cb292d4f'   # *.branding.tar.xz
                 'SKIP'
-                'd39c35ac1f6b83c31e05f36331b18827b4c7e29e0bfdf0792bc219f30231975f'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-                'f90eb4b8c2e7c605291930358b56dcb1a89d9fac878f7ffcfa1702c764addd93'   # 9002-FSDG-preference-defaults.patch
-                'dc29d095a0f55cb3c2decb68af3b03a67ddfd0b99823f7fc120c29d77104ebe5'   # 9003-FSDG-urihandlers.patch
-                '40281e012820eb0fb40eee1c4c18fe78a47f96e8716119ada2038768ed06c52b'   # 9004-FSDG-misc.patch
+                '517eb3b251695979dffe995702f7668616b316b745ae212f4f2f46d5cbaf0c3e'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+                '6d286d28e9c985ddfd26e5ce1bfc1cc566f3ae8ead92b38cb0215fd4a35b1c31'   # 9002-FSDG-preference-defaults.patch
+                '2cb40bc6a98a9f88edf1e945b5335136f80768934d71f81f6d184028531873ca'   # 9003-FSDG-urihandlers.patch
+                'f58e934dfc10e7d639caecd27424a6f55f0e9df976859b11b25c294c72298ef5'   # 9004-FSDG-misc.patch
                 '8ec0bc73034e38295494856bb1ae8ab7e225b2450189a5a01172b8a12b3c2516' ) # process-json-files.py
 mkb2sums+=( '26b63e9d4f0bc072c96bdae094bf399804b9b2472593ed15bead45d1c319823ad371b46c9e078c5fb0c546f898bf73cc2f45f8c92bc43c6d15047055ab026ca3'   # *.branding.tar.xz
             'SKIP'
-            '12e5a04e9c63de5fe71b2e1ade3626119bcbae01865f856e56758a3fb162676db649d7eee8dd101d995a6b8db219f6cac1b95da82c6b9e307d2cd3c83c766f98'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-            'bd709384f2b415ce3d2c626fb8891b7fdf171be16d27ea6d016da8de05618f9eac3478ff6d32fd3f945b98cabfbf71ab04dbc08d1c12eb53710e6336a804d8af'   # 9002-FSDG-preference-defaults.patch
-            '66f4c3d75905e81268bce6564824e6b701fb97880018db71e3661d15b6ff86032291ef731ac44c5866c2d671f9fdd95bab3927fbb89794693fa2e25e110f24fa'   # 9003-FSDG-urihandlers.patch
-            'b034e84eb99155c702346ba1d9468932f155d04279e94d3499b1e8dce9d17b095c758b524e6a73a9fc207e8e5091fd10073b20b8dfc51192bb2c2217df6bf995'   # 9004-FSDG-misc.patch
+            '1ac13c0d00365f6296fc307f3c9cf6f262d4d2aae3be46d8170a52760a2c15c8315e8276ecd1a9754b8f4854557351a11236f7f82d7425dcfb18a22651537baf'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+            'aa5e37227c85066e0fd19ed42b8dc59396dc7350ffc368a26ef5d670c1790f080abb705955b244c6dd44e2a81994446bd9a094c12680d0bdd5b852d2660fa9ee'   # 9002-FSDG-preference-defaults.patch
+            '90ca48afd995e574978fd22e77c55dd6253d4b3a0cb2ba34a0aebe904aef1eaa0ed3c52fcded5bedfb521f3f547e117c9587c18d61b5c338de41b0cf284f3b8c'   # 9003-FSDG-urihandlers.patch
+            '09aeebadf3eb481b9b19f511de837676b8213a15b930ba6dd3f4653f975ae3936e1fc768c3c079c0137f3a54b1857b3f0331e4fe4596a0929710ec6ebec34261'   # 9004-FSDG-misc.patch
             '950d13abed98ccb939479859e249dd8a641537ee056f8e2dff1c3e4f608f1c6af450d666f2e3910f4f7daae43b2838e065591accb6a8a7b86da770dcb1f3999b' ) # process-json-files.py
 source=( https://repo.parabola.nu/other/${pkgname}/${pkgname}-${pkgver}.tar.zst{,.sig}
          ${source[*]:${_N_MKSOURCES}} )
@@ -383,7 +380,7 @@ _check_patching() {
   pushd "${srcdir}"/firefox-${pkgver} > /dev/null
 
   # Remote Settings
-  local settings_server_regex='firefox.?settings.*\.(mozilla|allizom)(-backup)?\.(com|org)'
+  local settings_server_regex='settings[^\s:/]*\.(mozilla|allizom|mozaws)(-backup)?\.(com|org|net)'
   local settings_err_msg="ERROR: 9001-FSDG-sync-remote-settings-with-local-dump.patch needs reworking"
   ! grep -qrE $settings_server_regex || ! echo "${settings_err_msg}" || return 1
 
@@ -393,7 +390,7 @@ _check_patching() {
   ! grep -qrE $model_hub_server_regex || ! echo "${model_hub_err_msg}" || return 1
 
   # Merino
-  local merino_server_regex='.*merino.*(\.(mozilla|allizom)(-backup)?\.com|mozgcp\.net|mozilla\.fastly-edge\.com|edgecompute\.app)'
+  local merino_server_regex='\S*merino\S*(\.(mozilla|allizom)(-backup)?\.com|mozgcp\.net|mozilla\.fastly-edge\.com|edgecompute\.app)'
   local merino_err_msg="ERROR: Found ${merino_server_regex} in the sources. 9002-FSDG-preference-defaults.patch needs reworking"
   ! grep -qrE $merino_server_regex || ! echo "${merino_err_msg}" || return 1
 
@@ -567,10 +564,6 @@ prepare() {
   # Make different channels installable in parallel
   patch -Np1 -i ../0001-Install-under-remoting-name.patch
 
-  # Fix build with glibc 2.43
-  # https://bugzilla.mozilla.org/show_bug.cgi?id=1999625
-  patch -Np1 -i ../0002-Patch-glsl-optimizer-to-build-with-glibc-2.43.patch
-
   # Use system python-typing-extensions instead of the old vendored one to avoid
   # unresolvable dependency versions. They are probably downloaded when network
   # connectivity is enabled at built time, but that is not the case for Parabola.
@@ -941,20 +934,6 @@ browser.startup.homepage=\"https://www.parabola.nu\"" >> "${distini}"
 
   # misc branding
   sed -i "s|({ \$bits }-bit)|($CARCH)|" browser/locales/en-US/browser/aboutDialog.ftl
-
-
-  ## search-engines ##
-
-  pushd browser/components/search/extensions > /dev/null
-
-  # Delete unused search engine configs
-  echo "deleting unused search engine configs"
-  find -mindepth 1 -maxdepth 1 \
-       -not -name ddg          \
-       -not -name wikipedia    \
-       -exec rm -fr {} \;
-
-  popd > /dev/null
 }
 
 build() {

